Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteClusterAdminService

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteClusterAdminService

extends java.rmi.Remote

Specifies the properties that are used for the whole cluster (such as need security, active realm, JSP enabled, publish temp result to version enabled, mail configuration), and shuts down the specified sever in the cluster if a stand alone server is used.

Method Summary
`java.lang.String` | `addPredefinedServer(java.lang.String name, java.lang.String host, java.lang.String port, int backupPriority, java.lang.String submitter)` Deprecated. since version v10
`java.lang.String` | `addPredefinedServer(java.lang.String name, java.lang.String host, java.lang.String port, java.lang.String submitter)` Deprecated. since version v10
`boolean` | `canEditPredefinedServers()` Deprecated. since version v10
`java.lang.String` | `getActiveRealm()` Gets the active realm of the server.
`int` | `getDefaultMailFormat()` Returns the mail format sent out.
`java.lang.String` | `getLoadBalanceCustomClass()` Returns the load balance custom class.
`int` | `getLoadBalanceType()` Returns the load balance type.
`java.lang.String` | `getMailBox()` Returns the mail sender's address.
`java.util.Vector` | `getMailFormats()` Returns all the mail formats.
`int` | `getMailPort()` Returns the smtp mail server's port.
`java.lang.String` | `getMailServer()` Returns the smtp mail server's name.
`boolean` | `getMessageMode()` Gets the internal message mode in JReport server.
`java.lang.String` | `getNotifyServerDownAddress()` Sets the target address of the notification mail after a server in the cluster is down.
`Member[]` | `getPredefinedServers()` Deprecated. since version v10
`boolean` | `isClusterSendConcurrentReport()` Returns whether the cluster sends concurrent report.
`boolean` | `isEnableCompress()` Returns true if it enables to compress the mail, otherwise return false.
`boolean` | `isEnableJSP()` Returns whether to use JSP.
`boolean` | `isEnableNotifyServerDown()` Gets the setting about whether to send notification mail after a server in the cluster is down.
`boolean` | `isEnablePublishTempToVersion()` Checks whether to enable publishing temp result to version.
`boolean` | `isNeedSecurity()` Returns whether to need security authentication.
`java.util.Properties` | `loadClusterWeights()` Loads the cluster weights.
`java.lang.String` | `removePredefinedServer(java.lang.String name, java.lang.String submitter)` Deprecated. since version v10
`long` | `runTestReport(java.lang.String name, java.util.Properties ht)` Returns the time of running the test report in an indicated cluster member.
`void` | `saveClusterWeights(java.util.Properties ep)` Saves the cluster weights.
`void` | `setActiveRealm(java.lang.String realmName, java.lang.String submmiter)` Sets the active realm used in the whole cluster.
`void` | `setClusterSendConcurrentReport(java.lang.Boolean isSendReport)` Sets whether the cluster sends concurrent report.
`void` | `setDefaultMailFormat(int mailFormat, java.lang.String submitter)` Sets the mail format sent out.
`void` | `setEnableCompress(boolean isEnable, java.lang.String submitter)` Sets whether to compress the mail.
`void` | `setEnableJSP(boolean enable, java.lang.String submitter)` Sets whether to enable using JSP in the whole cluster.
`void` | `setEnableNotifyServerDown(boolean enable)` Sets the option that specifies whether to send notification mail after a server in the cluster is down.
`void` | `setEnablePublishTempToVersion(boolean enable, java.lang.String submitter)` Sets whether to enable publishing temp result to version in the whole cluster.
`void` | `setLoadBalanceCustomClass(java.lang.String customClass)` Sets the load balance custom class.
`void` | `setLoadBalanceType(int type)` Sets the load balance type.
`void` | `setMailBox(java.lang.String mailBox, java.lang.String submitter)` Sets the mail sender's address.
`void` | `setMailPort(int port, java.lang.String submitter)` Sets the smtp mail server's port.
`void` | `setMailServer(java.lang.String smtpServerName, java.lang.String submitter)` sets the smtp mail server's name.
`void` | `setMessageMode(boolean mode)` Sets the internal message mode in JReport server.
`void` | `setNeedSecurity(boolean need, java.lang.String submitter)` Sets whether to enable security authentication in the whole cluster.
`void` | `setNotifyServerDownAddress(java.lang.String address)` Sets the target address of the notification mail after a server in the cluster is down.
`java.lang.String` | `stopCluster(java.lang.String submitter)` Stops all servers in the cluster.
`java.lang.String` | `stopServer(java.lang.String name, java.lang.String submitter)` Stops a server in the cluster.

Method Detail

### stopServer

    java.lang.String stopServer(java.lang.String name,
                                java.lang.String submitter)
                                throws ClusterException,
                                       java.rmi.RemoteException

  Stops a server in the cluster.

  Parameters:
    `name` - the server name of the specified server.
    `submitter` - the user who requested this action.
  Returns:
    error message if any error occurs but no exception is thrown, or null if successful.
  Throws:
    `ClusterException` - if error occurs when trying to stop the server.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### stopCluster

    java.lang.String stopCluster(java.lang.String submitter)
                                 throws ClusterException,
                                        java.rmi.RemoteException

  Stops all servers in the cluster.

  Parameters:
    `submitter` - the user who requested this action.
  Returns:
    error message if any error occurs but no exception is thrown, or null if successful.
  Throws:
    `if` - error occurs when trying to stop the whole cluster.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `ClusterException`

### canEditPredefinedServers

    boolean canEditPredefinedServers()
                                     throws java.rmi.RemoteException

  Deprecated. since version v10

  Specifies whether the predefined server list of the cluster can be edited. Only original admin server of the cluster can edit the predefined server list, that is, if admin server is promoted from a backup server, the edition is disabled.

  Returns:
    true if the edition is allowed, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### addPredefinedServer

    java.lang.String addPredefinedServer(java.lang.String name,
                                         java.lang.String host,
                                         java.lang.String port,
                                         java.lang.String submitter)
                                         throws ClusterException,
                                                java.rmi.RemoteException

  Deprecated. since version v10

  Adds a clustered server into the predefined server list of the cluster.

  Parameters:
    `name` - the clustered server's name.
    `host` - the clustered server's host.
    `port` - the clustered server's rmi port.
    `submitter` - the user who requested this action.
  Returns:
    error message if any error occurs but no exception is thrown, or null if successful.
  Throws:
    `if` - any error occurs when trying to add the clustered server into the predefined server list.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `ClusterException`

### addPredefinedServer

    java.lang.String addPredefinedServer(java.lang.String name,
                                         java.lang.String host,
                                         java.lang.String port,
                                         int backupPriority,
                                         java.lang.String submitter)
                                         throws ClusterException,
                                                java.rmi.RemoteException

  Deprecated. since version v10

  Adds a clustered server into the predefined server list of the cluster.

  Parameters:
    `name` - the clustered server's name.
    `host` - the clustered server's host.
    `port` - the clustered server's rmi port.
    `backupPriority` - specifies backup server's priority when admin server is crashed. That is, if admin server is crashed, the server that has the highest priority among the active backup servers will promote itself to admin server. The priority value is a non-negative integer, "0" represents the highest priority, the value "0" is reserved for admin server. If admin server is crashed, and before it restarts, a backup server will be promoted to admin server, and the original admin server has to start as backup server, it needs a backup priority.
    `submitter` - the user who requested this action.
  Returns:
    error message if any error occurs but no exception is thrown, or null if successful.
  Throws:
    `if` - any error occurs when trying to add the clustered server into the predefined server list.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `ClusterException`

### removePredefinedServer

    java.lang.String removePredefinedServer(java.lang.String name,
                                            java.lang.String submitter)
                                            throws ClusterException,
                                                   java.rmi.RemoteException

  Deprecated. since version v10

  Removes a clustered server from the predefined server list of the cluster.

  Parameters:
    `name` - the name of clustered server which you want to remove.
    `submitter` - the user who requested this action.
  Returns:
    error message if any error occurs but no exception is thrown, or null if successful.
  Throws:
    `if` - any error occurs when trying to remove the clustered server from the predefined server list.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `ClusterException`

### getPredefinedServers

    Member[] getPredefinedServers()
                                  throws java.rmi.RemoteException

  Deprecated. since version v10

  Gets all servers list that are predefined.

  Returns:
    a member array that represents all servers in the predefined server list.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setEnableNotifyServerDown

    void setEnableNotifyServerDown(boolean enable)
                                   throws java.rmi.RemoteException

  Sets the option that specifies whether to send notification mail after a server in the cluster is down.

  Parameters:
    `enable` - true if enabled to send notification mail.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isEnableNotifyServerDown

    boolean isEnableNotifyServerDown()
                                     throws java.rmi.RemoteException

  Gets the setting about whether to send notification mail after a server in the cluster is down.

  Returns:
    true if enabled to send notification mail.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setNotifyServerDownAddress

    void setNotifyServerDownAddress(java.lang.String address)
                                    throws java.rmi.RemoteException

  Sets the target address of the notification mail after a server in the cluster is down.

  Parameters:
    `address` - the target address of the mail
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getNotifyServerDownAddress

    java.lang.String getNotifyServerDownAddress()
                                                throws java.rmi.RemoteException

  Sets the target address of the notification mail after a server in the cluster is down.

  Returns:
    the target address of the mail, or "" if it is not set.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getActiveRealm

    java.lang.String getActiveRealm()
                                    throws java.rmi.RemoteException

  Gets the active realm of the server.

  Returns:
    the active realm
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setActiveRealm

    void setActiveRealm(java.lang.String realmName,
                        java.lang.String submmiter)
                        throws java.rmi.RemoteException

  Sets the active realm used in the whole cluster.

  Parameters:
    `realmName` - the realm name.
    `submitter` - the user who requested this action.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isNeedSecurity

    boolean isNeedSecurity()
                           throws java.rmi.RemoteException

  Returns whether to need security authentication.

  Returns:
    true if security authentication is needed, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setNeedSecurity

    void setNeedSecurity(boolean need,
                         java.lang.String submitter)
                         throws java.rmi.RemoteException

  Sets whether to enable security authentication in the whole cluster.

  Parameters:
    `need` - true if security authentication is enabled, false if disabled.
    `submitter` - the user who requested this action.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isEnableJSP

    boolean isEnableJSP()
                        throws java.rmi.RemoteException

  Returns whether to use JSP.

  Returns:
    true if JSP is used, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setEnableJSP

    void setEnableJSP(boolean enable,
                      java.lang.String submitter)
                      throws java.rmi.RemoteException

  Sets whether to enable using JSP in the whole cluster.

  Parameters:
    `need` - true if using JSP is enabled, false if disabled.
    `submitter` - the user who requested this action.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isEnablePublishTempToVersion

    boolean isEnablePublishTempToVersion()
                                         throws java.rmi.RemoteException

  Checks whether to enable publishing temp result to version.

  Returns:
    true if enabled, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setEnablePublishTempToVersion

    void setEnablePublishTempToVersion(boolean enable,
                                       java.lang.String submitter)
                                       throws java.rmi.RemoteException

  Sets whether to enable publishing temp result to version in the whole cluster.

  Parameters:
    `enable` - true if publishing temp result to version is enabled, false if disabled.
    `submitter` - the user who requested this action.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setMailServer

    void setMailServer(java.lang.String smtpServerName,
                       java.lang.String submitter)
                       throws java.rmi.RemoteException

  sets the smtp mail server's name.

  Parameters:
    `smtpServerName` - the smtp mail server's name.
    `submitter` - the user who requested this action.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMailServer

    java.lang.String getMailServer()
                                   throws java.rmi.RemoteException

  Returns the smtp mail server's name.

  Returns:
    the smtp mail server's name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setMailPort

    void setMailPort(int port,
                     java.lang.String submitter)
                     throws java.rmi.RemoteException

  Sets the smtp mail server's port.

  Parameters:
    `port` - the smtp mail server's port.
    `submitter` - the user who requested this action.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMessageMode

    boolean getMessageMode()
                           throws java.rmi.RemoteException

  Gets the internal message mode in JReport server. true---return message string. false---return message key.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setMessageMode

    void setMessageMode(boolean mode)
                        throws java.rmi.RemoteException

  Sets the internal message mode in JReport server.

  Parameters:
    `mode` - the message mode.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMailPort

    int getMailPort()
                    throws java.rmi.RemoteException

  Returns the smtp mail server's port.

  Returns:
    the smtp mail server's port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setMailBox

    void setMailBox(java.lang.String mailBox,
                    java.lang.String submitter)
                    throws java.rmi.RemoteException

  Sets the mail sender's address.

  Parameters:
    `mailBox` - the mail sender's address.
    `submitter` - the user who requested this action.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMailBox

    java.lang.String getMailBox()
                                throws java.rmi.RemoteException

  Returns the mail sender's address.

  Returns:
    the mail sender's address.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setDefaultMailFormat

    void setDefaultMailFormat(int mailFormat,
                              java.lang.String submitter)
                              throws java.rmi.RemoteException

  Sets the mail format sent out.

  Parameters:
    `mailFormat` - the mail format sent out.
    `submitter` - the user who requested this action.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getDefaultMailFormat

    int getDefaultMailFormat()
                             throws java.rmi.RemoteException

  Returns the mail format sent out.

  Returns:
    the mail format sent out.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMailFormats

    java.util.Vector getMailFormats()
                                    throws java.rmi.RemoteException

  Returns all the mail formats.

  Returns:
    vector containing all the mail formats.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setEnableCompress

    void setEnableCompress(boolean isEnable,
                           java.lang.String submitter)
                           throws java.rmi.RemoteException

  Sets whether to compress the mail.

  Parameters:
    `isEnable` - whether to compress the mail.
    `submitter` - the user who requested this action.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isEnableCompress

    boolean isEnableCompress()
                             throws java.rmi.RemoteException

  Returns true if it enables to compress the mail, otherwise return false.

  Returns:
    whether to compress mail.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### runTestReport

    long runTestReport(java.lang.String name,
                       java.util.Properties ht)
                       throws ClusterException,
                              java.rmi.RemoteException

  Returns the time of running the test report in an indicated cluster member.

  Parameters:
    `ht` - the properties of the test report
    `name` - the name of the test cluster member
  Returns:
    the time of running
  Throws:
    `ClusterException` - will be thrown if error occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### saveClusterWeights

    void saveClusterWeights(java.util.Properties ep)
                            throws java.rmi.RemoteException

  Saves the cluster weights.

  Parameters:
    `ep` - the properties of the cluster weights
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### loadClusterWeights

    java.util.Properties loadClusterWeights()
                                            throws java.io.IOException,
                                                   java.rmi.RemoteException

  Loads the cluster weights.

  Returns:
    the properties of the cluster weights
  Throws:
    `java.io.IOException` - will be thrown if error occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLoadBalanceType

    int getLoadBalanceType()
                           throws java.rmi.RemoteException

  Returns the load balance type.

  Returns:
    the load balance type
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLoadBalanceCustomClass

    java.lang.String getLoadBalanceCustomClass()
                                               throws java.rmi.RemoteException

  Returns the load balance custom class.

  Returns:
    the load balance custom class
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setLoadBalanceType

    void setLoadBalanceType(int type)
                            throws java.rmi.RemoteException

  Sets the load balance type.

  Parameters:
    `type` - the load balance type
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setLoadBalanceCustomClass

    void setLoadBalanceCustomClass(java.lang.String customClass)
                                   throws java.rmi.RemoteException

  Sets the load balance custom class.

  Parameters:
    `customClass` - the load balance custom class
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setClusterSendConcurrentReport

    void setClusterSendConcurrentReport(java.lang.Boolean isSendReport)
                                        throws java.rmi.RemoteException

  Sets whether the cluster sends concurrent report.

  Parameters:
    `isSendReport` - true if the cluster sends concurrent report
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isClusterSendConcurrentReport

    boolean isClusterSendConcurrentReport()
                                          throws java.rmi.RemoteException

  Returns whether the cluster sends concurrent report.

  Returns:
    return true if the cluster sends concurrent report
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD